<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iPcDefaultCamera Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#a53a7f09fa80118f6029c2f65edda315e">CameraMode</a> enum name</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#ae1d609377426bec83deabeb55054c557">CenterCamera</a>()=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ae183982b9beb1b2139f7580cdbd2f33d">DisableDistanceClipping</a>()=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#af8f854a9ed62fa704a00cbabfa5e8539">Draw</a>()=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ab5c71dc2df46fba42939d3fea00a969c">EnableAdaptiveDistanceClipping</a>(float min_fps, float max_fps, float min_dist)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a4b23f8eff6214de96c45213625f55c94">EnableFixedDistanceClipping</a>(float dist)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ac701d72bb28b837c9aba6560b5ff0072">GetAdaptiveMaxFPS</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a24b5f01457a4453c2c353086e2680e94">GetAdaptiveMinDistance</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a0c7a4bdb265db3c57fb9ac1c9cf595dc">GetAdaptiveMinFPS</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ab78ef09e09cc2c03e0c8560921ecc2e2">GetCamera</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#aa04779c151ea489fe8f046b7c1b646b8">GetClearScreen</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a264ed335bb9f38562cb9f10be704fb83">GetClearZBuffer</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#a21c345e68cd9a29dec9a0e680419d685">GetDistance</a>(int mode=-1)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#a4a708428afeb0c396f9057cea909e2f5">GetDistanceVelocity</a>() const =0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#af7a386dc347bba63a79cc0f53c671497">GetDrawFlags</a>()=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a0041a68464d819fc859febb39e14b847">GetFixedDistance</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#a45976932c411a0e3d6c5a6c2564777ed">GetMode</a>() const =0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#a85a6e8df8def146e805dc450c665ef7b">GetModeName</a>() const =0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#ad8e6fc27783dd641f5d9b0dfb3cc65f5">GetNextMode</a>() const =0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#a02730a3cbc9e5d99186d2fc76e3aac85">GetPitch</a>() const =0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#afe0dbbe377092218bc0dea78ea7264f8">GetPitchVelocity</a>() const =0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a366442a0a6d366f7a6e69d7da85fc9a3">GetView</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#aa5b16c297076a40742fbf624c8d52b4a">GetYaw</a>(int mode=-1) const =0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#aa2d31e13b58c79196f7df8e3a30b9c00">GetYawVelocity</a>() const =0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#af510fc23b21feb673317036941742b8f">MovePitch</a>(float deltaPitch, int mode=-1)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#ab08a3f6b62af17063d3c28e58d351903">MoveYaw</a>(float deltaYaw, int mode=-1)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#a6a501724281f185506af71717d1218a4">PointCamera</a>(const char *start)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ac98cb5337f0ab6b454cf41abb2b7fdce">SetAutoDraw</a>(bool auto_draw)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a04ecb72332e8f5dcefe14c906e5d5b18">SetClearScreen</a>(bool flag)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ae4eb456aa5a4e4130ac5b623229eda2f">SetClearZBuffer</a>(bool flag)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#aa021f6392b9313df925622e8beb0a192">SetDistance</a>(float distance, int mode=-1)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#afa8a9399df7956da558e5f2b2d73dfbf">SetDistanceVelocity</a>(float distanceVel)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#a45f0983e9866a4a1f743eaa00b811d7d">SetFirstPersonOffset</a>(const csVector3 &amp;offset)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#ab5a645969079916bbef46ea364372352">SetFollowEntity</a>(iCelEntity *entity)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#a523df60e1f635a48e6a594e4659f31a7">SetMinMaxCameraDistance</a>(float minDistance, float maxDistance)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#aa18c3d0433532eb9cd64a64ffdf2077a">SetMode</a>(CameraMode m, bool use_cd=true)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#ae7a8d0c43513fc75e7fc6362b9efc32c">SetModeName</a>(const char *m, bool use_cd=true)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a3425e79f177dd31ac911b954fc573264">SetPerspectiveCenter</a>(float x, float y)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#a8b65bdbf416ca69a76be0e1bc76983aa">SetPitch</a>(float pitch)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#a088588c7bcadd6e6ffd2ba681b7fc26e">SetPitchVelocity</a>(float pitchVel)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a3bbe75cada613b1275dcdd82969c7363">SetRectangle</a>(int x, int y, int w, int h)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a4c06211ea06eace5391548d269bb3e21">SetRegion</a>(iPcRegion *region, bool point=true, const char *name=0)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#a1f5e917c9f0f68a20b19795a92572daf">SetSpringParameters</a>(float springCoef, float intertialDampeningCoef, float springLength)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#ad7ef8c2f8d1306e8f5b5c487a38fabaf">SetSwingCoef</a>(float swingCoef)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#aa0f1a274161df1bf511222afae856636">SetThirdPersonOffset</a>(const csVector3 &amp;offset)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#aa8a85ff9ca1bfcb62e6b1396dc580717">SetTurnSpeed</a>(float turnSpeed)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#a7a5ae08ed28bb260240525b83e88b056">SetYaw</a>(float yaw, int mode=-1)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcDefaultCamera.html#a8e57412555ea6596a155739a0e652b10">SetYawVelocity</a>(float yawVel)=0</td><td><a class="el" href="structiPcDefaultCamera.html">iPcDefaultCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a24ab3c2bc15ec89e66271f8090449210">SetZoneManager</a>(iPcZoneManager *zonemgr, bool point, const char *regionname, const char *name=0)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a0d73d05fd1e708611e2a4f146712f3b5">SetZoneManager</a>(const char *entityname, bool point, const char *regionname, const char *name=0)=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#ab7113f961b2aebee0108e8cd6a15663d">UpdateCamera</a>()=0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#adc6b621187072bac9875304b6d48a719">UseDistanceClipping</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcCamera.html#a288fcaa10a1e34f73b3e67cf16414144">UseFixedDistanceClipping</a>() const =0</td><td><a class="el" href="structiPcCamera.html">iPcCamera</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
